<div *ngIf="movie" class="card w-100 mx-auto my-2">
  <div class="card-header d-none d-sm-block">
    <h3 class="card-title my-auto">{{movie.Title}}</h3>
  </div>
  <img src="{{movie.Poster}}"class="d-block d-sm-none card-img-top rounded-top" alt="{{movie.title}}">
  <div class="row g-0">
    <div class="col-md-4 col-lg-3 d-none d-sm-block my-auto">
      <img class="w-100 m-2" src="{{movie.Poster}}" alt="{{movie.Title}}">
    </div>
    <div class="col-md-8">
      <div class="card-body">
        <h4 class="card-title d-block d-sm-none">{{movie.Title}}</h4>
        <div class="container">
          <div class="row">
            <div class="col-4"><strong>Type</strong></div>
            <div class="col-8">{{movie.Type}}</div>
          </div>
          <div class="row">
            <div class="col-4"><strong>Year</strong></div>
            <div class="col-8">{{movie.Year}}</div>
          </div>
          <div class="row">
            <div class="col-4"><strong>Rated</strong></div>
            <div class="col-8">{{movie.Rated}}</div>
          </div>
          <div class="row">
            <div class="col-4"><strong>Genre</strong></div>
            <div class="col-8">
              <ul>
                <li class="genre" *ngFor="let genre of movie.Genre.split(', ')">{{genre}}</li>
              </ul>
            </div>
          </div>
          <div class="row">
            <div class="col-4"><strong>Director</strong></div>
            <ul>
              <li *ngFor="let director of movie.Director.split(', ')">{{director}}</li>
            </ul>
          </div>
          <div class="row">
            <div class="col-4"><strong>Actors</strong></div>
            <ul>
              <li *ngFor="let actor of movie.Actors.split(', ')">
                {{actor}}
              </li>
            </ul>
          </div>
          <div class="row">
            <div class="col-4"><strong>Awards</strong></div>
            <ul class="col-8">
              <li *ngFor="let award of movie.Awards.split('. ')">{{award}}</li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="card-footer movie-plot" (click)="togglePlot()">
    <h5><strong>Plot:</strong></h5>
    {{fullPlot ? movie.Plot : movie.Plot.substring(0,199)}} <span><em>{{plotLength === "full" ? (fullPlot ? "(click to show less)" : "(click to show more)") : ""}}</em></span>
  </div>
</div>